Subject: bug#23546: nevermind, pretty broken

From: martin rudalics <[email-masked]>
Date: Mon, 07 Nov 2016 07:34:37 +0100

> the updated version here indeed fixes comint mode, but it appears to break
 > macros in the same way for me as well (in evil mode, for what it's worth):
 >
 > replaying a macro that changes a word to "input" (`cwinput`) gives "putni"
 > instead of input
 >
 > can't quite work out a complete pattern, but it moves point backwards while
 > inserting text in many situations, which movement may or may not be correlated
 > with cpu load

Sorry, I can't follow well.  I suppose the following ingredients are
necessary:

(1) ‘scroll-restore-jump-back’ must have been set.

(2) A macro must be executed that moves point.

I neither use (1) nor (2) so can you give a full example, please?

Thanks, martin